Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class UpDownSelect

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ListUIBean
                  org.apache.struts2.components.Select
                      org.apache.struts2.components.UpDownSelect

    public class UpDownSelect

extends Select

Create a Select component with buttons to move the elements in the select component up and down. When the containing form is submited, its elements will be submitted in the order they are arranged (top to bottom).

     <!-- Example 1: simple example -->
     <s:updownselect
     list="#{'england':'England', 'america':'America', 'germany':'Germany'}"
     name="prioritisedFavouriteCountries"
     headerKey="-1"
     headerValue="--- Please Order Them Accordingly ---"
     emptyOption="true" />

     <!-- Example 2: more complex example -->
     <s:updownselect
     list="defaultFavouriteCartoonCharacters"
     name="prioritisedFavouriteCartoonCharacters"
     headerKey="-1"
     headerValue="--- Please Order ---"
     emptyOption="true"
     allowMoveUp="true"
     allowMoveDown="true"
     allowSelectAll="true"
     moveUpLabel="Move Up"
     moveDownLabel="Move Down"
     selectAllLabel="Select All" />

Version:
  $Date: 2008-04-27 15:41:38 +0200 (Sun, 27 Apr 2008) $ $Id: UpDownSelect.java 651946 2008-04-27 13:41:38Z apetrelli $

Field Summary
`protected java.lang.String` | `allowMoveDown`
`protected java.lang.String` | `allowMoveUp`
`protected java.lang.String` | `allowSelectAll`
`protected java.lang.String` | `moveDownLabel`
`protected java.lang.String` | `moveUpLabel`
`protected java.lang.String` | `selectAllLabel`
`static java.lang.String` | `TEMPLATE`

Fields inherited from class org.apache.struts2.components.Select
`emptyOption, headerKey, headerValue, multiple, size`

Fields inherited from class org.apache.struts2.components.ListUIBean
`list, listKey, listValue, throwExceptionOnNullValueAttribute`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, parameters, stack, throwExceptionOnELFailure`

Constructor Summary
`UpDownSelect(ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `evaluateParams()`
`java.lang.String` | `getAllowMoveDown()`
`java.lang.String` | `getAllowMoveUp()`
`java.lang.String` | `getAllowSelectAll()`
`java.lang.String` | `getDefaultTemplate()` A contract that requires each concrete UI Tag to specify which template should be used as a default.
`java.lang.String` | `getMoveDownLabel()`
`java.lang.String` | `getMoveUpLabel()`
`java.lang.String` | `getSelectAllLabel()`
`void` | `setAllowMoveDown(java.lang.String allowMoveDown)`
`void` | `setAllowMoveUp(java.lang.String allowMoveUp)`
`void` | `setAllowSelectAll(java.lang.String allowSelectAll)`
`void` | `setMoveDownLabel(java.lang.String moveDownLabel)`
`void` | `setMoveUpLabel(java.lang.String moveUpLabel)`
`void` | `setSelectAllLabel(java.lang.String selectAllLabel)`

Methods inherited from class org.apache.struts2.components.Select
`evaluateExtraParams, setEmptyOption, setHeaderKey, setHeaderValue, setMultiple, setSize`

Methods inherited from class org.apache.struts2.components.ListUIBean
`contains, getValueClassType, setList, setListKey, setListValue, setThrowExceptionOnNullValueAttribute`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, mergeTemplate, populateComponentHtmlId, setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, altSyntax, completeExpressionIfAltSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, popComponentStack, setActionMapper, setThrowExceptionsOnELFailure, start, stripExpressionIfAltSyntax, stripExpressionIfAltSyntax, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE

    public static final java.lang.String TEMPLATE

See Also:
  Constant Field Values

### allowMoveUp

    protected java.lang.String allowMoveUp

### allowMoveDown

    protected java.lang.String allowMoveDown

### allowSelectAll

    protected java.lang.String allowSelectAll

### moveUpLabel

    protected java.lang.String moveUpLabel

### moveDownLabel

    protected java.lang.String moveDownLabel

### selectAllLabel

    protected java.lang.String selectAllLabel

Constructor Detail

### UpDownSelect

    public UpDownSelect(ValueStack stack,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)

Method Detail

### getDefaultTemplate

    public java.lang.String getDefaultTemplate()

  Description copied from class: `UIBean`
  A contract that requires each concrete UI Tag to specify which template should be used as a default. For example, the CheckboxTab might return "checkbox.vm" while the RadioTag might return "radio.vm". This value not begin with a '/' unless you intend to make the path absolute rather than relative to the current theme.

  Overrides:
    `getDefaultTemplate` in class `Select`
  Returns:
    The name of the template to be used as the default.

### evaluateParams

    public void evaluateParams()

  Overrides:
    `evaluateParams` in class `UIBean`

### getAllowMoveUp

    public java.lang.String getAllowMoveUp()

### setAllowMoveUp

    public void setAllowMoveUp(java.lang.String allowMoveUp)

### getAllowMoveDown

    public java.lang.String getAllowMoveDown()

### setAllowMoveDown

    public void setAllowMoveDown(java.lang.String allowMoveDown)

### getAllowSelectAll

    public java.lang.String getAllowSelectAll()

### setAllowSelectAll

    public void setAllowSelectAll(java.lang.String allowSelectAll)

### getMoveUpLabel

    public java.lang.String getMoveUpLabel()

### setMoveUpLabel

    public void setMoveUpLabel(java.lang.String moveUpLabel)

### getMoveDownLabel

    public java.lang.String getMoveDownLabel()

### setMoveDownLabel

    public void setMoveDownLabel(java.lang.String moveDownLabel)

### getSelectAllLabel

    public java.lang.String getSelectAllLabel()

### setSelectAllLabel

    public void setSelectAllLabel(java.lang.String selectAllLabel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.